unbound: fast_reload_thread Struct Reference

unbound 0.1

Data Fields
fast_reload_thread Struct Reference

Fast reload thread structure. More...

`#include <remote.h>`

## Data Fields
int | threadnum
| the thread number for the dtio thread, must be first to cast thread arg to int* in checklock code.
int | commpair [2]
| communication socket pair, that sends commands
ub_thread_type | tid
| thread id, of the io thread
int | started
| if the io processing has started
int | need_to_quit
| if the thread has to quit
int | fr_verb
| verbosity of the fast_reload command, the number of +v options
int | fr_nopause
| option to not pause threads during reload
int | fr_drop_mesh
| option to drop mesh queries
void * | service_event
| the event that listens on the remote service worker to the commpair, it receives content from the fast reload thread.
int | service_event_is_added
| if the event that listens on the remote service worker has been added to the comm base.
uint32_t | service_read_cmd
| the service event can read a cmd, nonblocking, so it can save the partial read cmd here
int | service_read_cmd_count
| the number of bytes in service_read_cmd
struct worker * | worker
| the worker that the service_event is added in
struct fast_reload_printq * | printq
| the printout of output to the remote client.
lock_basic_type | fr_output_lock
| lock on fr_output, to stop race when both remote control thread and fast reload thread use fr_output list.
struct config_strlist_head * | fr_output
| list of strings, that the fast reload thread produces that have to be printed.
int | commreload [2]
| communication socket pair, to respond to the reload request
struct fast_reload_auth_change * | auth_zone_change_list
| the list of auth zone changes.
struct auth_zones * | old_auth_zones
| the old tree of auth zones, to lookup.
int | sslctxs_changed
| If the ssl ctxs have changed.

## Detailed Description

Fast reload thread structure.

## Field Documentation

## ◆ fr_output

struct config_strlist_head* fast_reload_thread::fr_output

list of strings, that the fast reload thread produces that have to be printed.

The remote control thread can pick them up with the lock.

Referenced by fast_reload_thread_desetup(), fast_reload_thread_setup(), fr_main_perform_printout(), and fr_output_text().

The documentation for this struct was generated from the following file:

- daemon/remote.h